# API Reference

Dive into the specifics of each API endpoint by checking out our complete documentation.

## <mark style="color:blue;">Step 1:</mark> List Borrower's Loan Request&#x20;

{% content-ref url="/pages/WMA0IXpoyL54q29cJQZq" %}
[List borrower's loan request](/reference/list-borrowers-loan-request.md)
{% endcontent-ref %}

## <mark style="color:blue;">Step 2:</mark> Offer a loan request

After listing all loan requests of the prior 30 days, the investor can initiate an offer with an interest rate for a loan request.

{% content-ref url="/pages/qG7Bu7hC5fAZ01exFgf3" %}
[Offer Loan Requests](/reference/offer-loan-requests.md)
{% endcontent-ref %}

## <mark style="color:blue;">Step 3:</mark>  Fund an accepted offer

After the borrower accepts the offer, the investor can fund the loan. This requires a call from the investor to the fund loan endpoint.

{% content-ref url="/pages/XOwylZjBWIJ94Fo7M66C" %}
[Fund Loan](/reference/fund-loan.md)
{% endcontent-ref %}

## Get transfer history

The investor can check the transfer history related to their funded loans in the life cycle of the loan.

{% content-ref url="/pages/tcHwUgK0c3BfUPbJ2cYy" %}
[Fetch Transfer History](/reference/fetch-transfer-history.md)
{% endcontent-ref %}

## Get Loan and payments details&#x20;

Investors can check their associated loans in different states with their respective data using the following APIs.

{% content-ref url="/pages/eHy3J3BRHOX26JDgb6nn" %}
[Get Loans](/reference/get-loans.md)
{% endcontent-ref %}

{% content-ref url="/pages/x2alhc3ZnjShBagN4jwe" %}
[Get Loan payments](/reference/get-loan-payments.md)
{% endcontent-ref %}

## Get data aggregation from the borrower bank.

The investor can get further information about the borrower's banking data, if available, before initiating an offer to loan requests.

{% content-ref url="/pages/sRuAbjBuKj0eSvGwvfKz" %}
[Fetch Banking Data](/reference/fetch-banking-data.md)
{% endcontent-ref %}

## Fetch Third Part Services

The "Fetch Third Party Service" endpoint in Lenme's API allows developers to access various third-party services, like machine learning models and borrower data, using the loan request ID and provider name.

{% content-ref url="/pages/MPLS2p65AQV4iTyZmW9z" %}
[Fetch Third Party Service](/reference/fetch-third-party-service.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lenme.com/reference/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
